#
# spec file for package python-Flask-Mail
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-Flask-Mail
Version:        0.9.1
Release:        3.8
Summary:        Flask extension for sending email
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/rduplain/flask-mail
Source:         https://files.pythonhosted.org/packages/source/F/Flask-Mail/Flask-Mail-%{version}.tar.gz
# do not use mock, upstream url unavailable
Patch0:         python-Flask-Mail-no-mock.patch
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# Test requirements
BuildRequires:  %{python_module Flask}
BuildRequires:  %{python_module blinker}
BuildRequires:  %{python_module speaklater}
# End of test requirements
Requires:       python-Flask
Requires:       python-blinker
BuildArch:      noarch
%python_subpackages

%description
A Flask extension for sending email messages.

%prep
%setup -q -n Flask-Mail-%{version}
%patch0 -p1

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pyunittest -v

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Mon Mar 21 2022 pgajdos@suse.com
- use %%pyunittest rpm macro
- added patches
  do not use mock, upstream url unavailable
  + python-Flask-Mail-no-mock.patch
* Wed Jun 10 2020 Marketa Calabkova <mcalabkova@suse.com>
- replace nose (and spec-cleaner)
* Wed Oct 10 2018 Antonio Larrosa <alarrosa@suse.com> - 0.9.1
- Remove conditional test variable from spec file and keep it enabled
* Wed Sep 19 2018 Antonio Larrosa <alarrosa@suse.com>
- Add test section
* Wed Aug 22 2018 alarrosa@suse.com
- Initial release of python-Flask-Mail-0.9.1
